Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common.inventory.spi
Interface InventoryProvider

public interface InventoryProvider
extends javax.ejb.EJBObject

This interface defines a stateless API for providing inventory related functionality. This interface is exposed as a stateless session EJB that can be created using the `InventoryProviderHome`.

See Also:
  `InventoryProviderHome`

Method Summary
`int` | `checkInventory(java.lang.String aProductSKU)` Checks the quantity in stock for a given product (sku)
`java.util.List` | `getProductInventory(java.util.List skus)` Returns a list of `Inventory` objects for a given list of SKUs
`java.util.List` | `getProductPartInventory(java.lang.String aSKU)` Returns a list of `Inventory` objects for a given SKU

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### checkInventory

    public int checkInventory(java.lang.String aProductSKU)
                       throws java.rmi.RemoteException,
                              java.lang.IllegalArgumentException,
                              ApplicationException

  Checks the quantity in stock for a given product (sku)

  Parameters:
    `aProductSKU` - sku (unique identifier for a given product)
  Throws:
    java.lang.IllegalArgumentException - if `aProductSKU` is `null`
    ApplicationException - if an exception was returned in accessing the information.
    java.rmi.RemoteException - if a communication error occurs during the execution of a remote method call.

### getProductInventory

    public java.util.List getProductInventory(java.util.List skus)
                                       throws java.rmi.RemoteException,
                                              java.lang.IllegalArgumentException,
                                              ApplicationException

  Returns a list of `Inventory` objects for a given list of SKUs

  Throws:
    ApplicationException - if an exception was returned in accessing the information.
    java.rmi.RemoteException - if a communication error occurs during the execution of a remote method call.
    java.lang.IllegalArgumentException - if `skus` is `null` or of zero-length.

### getProductPartInventory

    public java.util.List getProductPartInventory(java.lang.String aSKU)
                                           throws java.rmi.RemoteException,
                                                  java.lang.IllegalArgumentException,
                                                  ApplicationException

  Returns a list of `Inventory` objects for a given SKU

  Throws:
    ApplicationException - if an exception was returned in accessing the information.
    java.rmi.RemoteException - if a communication error occurs during the execution of a remote method call.
    java.lang.IllegalArgumentException - if `aSKU` is `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved